<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <import type="android.view.View" />

        <import type="com.tir.user.utils.Utils" />

        <variable
            name="action"
            type="com.tir.user.repository.model.PointAction" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/medium"
        android:layout_marginTop="@dimen/small"
        android:layout_marginEnd="@dimen/medium"
        android:layout_marginBottom="@dimen/small">


        <TextView
            android:id="@+id/txt_points_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingTop="@dimen/small"
            android:text="@string/point"
            android:textSize="@dimen/text_size_small"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0" />

        <TextView
            android:id="@+id/txt_points"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/small"
            android:text="@{String.valueOf(action.points)}"
            android:textColor="@color/colorAccent"
            android:textSize="@dimen/text_size_xlarge"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/txt_points_label"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0" />

        <TextView
            android:id="@+id/txt_description"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/xxlarge"
            android:text="@{action.description}"
            android:textSize="10sp"
            android:visibility="@{Utils.isNullOrEmpty(action.description)? View.GONE : View.VISIBLE}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="@+id/txt_points"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/txt_title" />

        <TextView
            android:id="@+id/txt_title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/xxlarge"
            android:maxLines="1"
            android:text="@{action.title}"
            android:textSize="@dimen/text_size_small"
            android:textStyle="bold"
            app:layout_constraintBottom_toTopOf="@+id/txt_description"
            app:layout_constraintEnd_toStartOf="@+id/txt_points"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
